<?php
declare(strict_types=1);

namespace Inti\Wp\Provider;

/**
 * Osnovni pružatelj podataka.
 *
 * @package Inti\Wp\Provider
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
interface ProviderInterface
{
    /**
     * Vraća vrstu objekta čije podatke pruža.
     *
     * @return Type\ObjectTypeInterface
     */
    public function getObjectType(): Type\ObjectTypeInterface;
}
