<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use Inti\Wp\Provider\Type\Post\AbstractPostType;

/**
 * Class CustomPostType
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
final class CustomPostType extends AbstractPostType
{
    protected string $description = 'some description';
    protected array $labels = [
        'name' => 'Custom Posts'
    ];
    protected bool $public = true;

    public function getKey(): string
    {
        return 'custom_post';
    }
}
